Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Interface X9ObjectIdentifiers

All Known Implementing Classes:
  X9Curve, X9FieldID, X9ECParameters

public interface X9ObjectIdentifiers

Field Summary
`static java.lang.String` | `ansi_X9_62`
`static DERObjectIdentifier` | `c2onb191v4`
`static DERObjectIdentifier` | `c2onb191v5`
`static DERObjectIdentifier` | `c2onb239v4`
`static DERObjectIdentifier` | `c2onb239v5`
`static DERObjectIdentifier` | `c2pnb163v1`
`static DERObjectIdentifier` | `c2pnb163v2`
`static DERObjectIdentifier` | `c2pnb163v3`
`static DERObjectIdentifier` | `c2pnb176w1`
`static DERObjectIdentifier` | `c2pnb208w1`
`static DERObjectIdentifier` | `c2pnb272w1`
`static DERObjectIdentifier` | `c2pnb368w1`
`static DERObjectIdentifier` | `c2png304v1`
`static DERObjectIdentifier` | `c2tnb191v1`
`static DERObjectIdentifier` | `c2tnb191v2`
`static DERObjectIdentifier` | `c2tnb191v3`
`static DERObjectIdentifier` | `c2tnb239v1`
`static DERObjectIdentifier` | `c2tnb239v2`
`static DERObjectIdentifier` | `c2tnb239v3`
`static DERObjectIdentifier` | `c2tnb359v1`
`static DERObjectIdentifier` | `c2tnb431r1`
`static DERObjectIdentifier` | `characteristic_two_field`
`static java.lang.String` | `cTwoCurve`
`static DERObjectIdentifier` | `dhpublicnumber`
`static DERObjectIdentifier` | `ecdsa_with_SHA1`
`static java.lang.String` | `ellipticCurve`
`static DERObjectIdentifier` | `gnBasis`
`static DERObjectIdentifier` | `id_dsa`
`static DERObjectIdentifier` | `id_dsa_with_sha1` id-dsa-with-sha1 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) x9-57 (10040) x9cm(4) 3 }
`static DERObjectIdentifier` | `id_ecPublicKey`
`static java.lang.String` | `id_ecSigType`
`static java.lang.String` | `id_fieldType`
`static java.lang.String` | `id_publicKeyType`
`static DERObjectIdentifier` | `ppBasis`
`static DERObjectIdentifier` | `prime_field`
`static DERObjectIdentifier` | `prime192v1`
`static DERObjectIdentifier` | `prime192v2`
`static DERObjectIdentifier` | `prime192v3`
`static DERObjectIdentifier` | `prime239v1`
`static DERObjectIdentifier` | `prime239v2`
`static DERObjectIdentifier` | `prime239v3`
`static DERObjectIdentifier` | `prime256v1`
`static java.lang.String` | `primeCurve`
`static DERObjectIdentifier` | `tpBasis`

Field Detail

### ansi_X9_62

    public static final java.lang.String ansi_X9_62

### id_fieldType

    public static final java.lang.String id_fieldType

### prime_field

    public static final DERObjectIdentifier prime_field

### characteristic_two_field

    public static final DERObjectIdentifier characteristic_two_field

### gnBasis

    public static final DERObjectIdentifier gnBasis

### tpBasis

    public static final DERObjectIdentifier tpBasis

### ppBasis

    public static final DERObjectIdentifier ppBasis

### id_ecSigType

    public static final java.lang.String id_ecSigType

### ecdsa_with_SHA1

    public static final DERObjectIdentifier ecdsa_with_SHA1

### id_publicKeyType

    public static final java.lang.String id_publicKeyType

### id_ecPublicKey

    public static final DERObjectIdentifier id_ecPublicKey

### ellipticCurve

    public static final java.lang.String ellipticCurve

### cTwoCurve

    public static final java.lang.String cTwoCurve

### c2pnb163v1

    public static final DERObjectIdentifier c2pnb163v1

### c2pnb163v2

    public static final DERObjectIdentifier c2pnb163v2

### c2pnb163v3

    public static final DERObjectIdentifier c2pnb163v3

### c2pnb176w1

    public static final DERObjectIdentifier c2pnb176w1

### c2tnb191v1

    public static final DERObjectIdentifier c2tnb191v1

### c2tnb191v2

    public static final DERObjectIdentifier c2tnb191v2

### c2tnb191v3

    public static final DERObjectIdentifier c2tnb191v3

### c2onb191v4

    public static final DERObjectIdentifier c2onb191v4

### c2onb191v5

    public static final DERObjectIdentifier c2onb191v5

### c2pnb208w1

    public static final DERObjectIdentifier c2pnb208w1

### c2tnb239v1

    public static final DERObjectIdentifier c2tnb239v1

### c2tnb239v2

    public static final DERObjectIdentifier c2tnb239v2

### c2tnb239v3

    public static final DERObjectIdentifier c2tnb239v3

### c2onb239v4

    public static final DERObjectIdentifier c2onb239v4

### c2onb239v5

    public static final DERObjectIdentifier c2onb239v5

### c2pnb272w1

    public static final DERObjectIdentifier c2pnb272w1

### c2png304v1

    public static final DERObjectIdentifier c2png304v1

### c2tnb359v1

    public static final DERObjectIdentifier c2tnb359v1

### c2pnb368w1

    public static final DERObjectIdentifier c2pnb368w1

### c2tnb431r1

    public static final DERObjectIdentifier c2tnb431r1

### primeCurve

    public static final java.lang.String primeCurve

### prime192v1

    public static final DERObjectIdentifier prime192v1

### prime192v2

    public static final DERObjectIdentifier prime192v2

### prime192v3

    public static final DERObjectIdentifier prime192v3

### prime239v1

    public static final DERObjectIdentifier prime239v1

### prime239v2

    public static final DERObjectIdentifier prime239v2

### prime239v3

    public static final DERObjectIdentifier prime239v3

### prime256v1

    public static final DERObjectIdentifier prime256v1

### dhpublicnumber

    public static final DERObjectIdentifier dhpublicnumber

### id_dsa

    public static final DERObjectIdentifier id_dsa

### id_dsa_with_sha1

    public static final DERObjectIdentifier id_dsa_with_sha1

  id-dsa-with-sha1 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) x9-57 (10040) x9cm(4) 3 }

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD